Subject: Re: bug#50880: Add "Contributing to Emacs" help command (see C-h C-h)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Oct 2021 21:58:09 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 1 Oct 2021 20:45:54 +0200
> Cc: Lars Ingebrigtsen <[email-masked]>, Gregory Heytings <[email-masked]>, [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > And I already said what I think about it: to me it sounds like a waste
> > to reserve a C-h key for that.  It doesn't even belong to "help" per
> > se, IMO.
> 
> Whether or not it belongs should not be treated formalistically,
> because then we might as well remove the entry "About the GNU
> project".

No, because "About" is a de-facto standard item in the Help menu of
many programs.  We just made 2 of them instead of just one.

> The point of this is to encourage more contributions to Emacs, and
> the cost for doing so is low.

But why does it need a key binding?  Not every command has a key
binding, and not having one doesn't mean the command isn't important.
Assigning a key binding is NOT low-cost, especially in a crowded
keymap such as C-h.